Package fr.gouv.vitam.storage.engine.common.model

# Class CompactedOfferLog

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.CompactedOfferLog

public class CompactedOfferLog extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTAINER`
  `static final String`
  `LOGS`
  `static final String`
  `SEQUENCE_END`
  `static final String`
  `SEQUENCE_START`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompactedOfferLog()`
  `CompactedOfferLog(long sequenceStart, long sequenceEnd, LocalDateTime compactionDateTime, String container, List<OfferLog> logs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `LocalDateTime`
  `getCompactionDateTime()`
  `String`
  `getContainer()`
  `List<OfferLog>`
  `getLogs()`
  `long`
  `getSequenceEnd()`
  `long`
  `getSequenceStart()`
  `int`
  `hashCode()`
  `void`
  `setCompactionDateTime(LocalDateTime compactionDateTime)`
  `void`
  `setContainer(String container)`
  `void`
  `setLogs(List<OfferLog> logs)`
  `void`
  `setSequenceEnd(long sequenceEnd)`
  `void`
  `setSequenceStart(long sequenceStart)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SEQUENCE_START

    public static final String SEQUENCE_START
    See Also:
      - Constant Field Values

  - ### SEQUENCE_END

    public static final String SEQUENCE_END
    See Also:
      - Constant Field Values

  - ### CONTAINER

    public static final String CONTAINER
    See Also:
      - Constant Field Values

  - ### LOGS

    public static final String LOGS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CompactedOfferLog

    public CompactedOfferLog()

  - ### CompactedOfferLog

    public CompactedOfferLog(long sequenceStart, long sequenceEnd, LocalDateTime compactionDateTime, String container, List<OfferLog> logs)

- ## Method Details

  - ### getSequenceStart

    public long getSequenceStart()

  - ### setSequenceStart

    public void setSequenceStart(long sequenceStart)

  - ### getSequenceEnd

    public long getSequenceEnd()

  - ### setSequenceEnd

    public void setSequenceEnd(long sequenceEnd)

  - ### getCompactionDateTime

    public LocalDateTime getCompactionDateTime()

  - ### setCompactionDateTime

    public void setCompactionDateTime(LocalDateTime compactionDateTime)

  - ### getContainer

    public String getContainer()

  - ### setContainer

    public void setContainer(String container)

  - ### getLogs

    public List<OfferLog> getLogs()

  - ### setLogs

    public void setLogs(List<OfferLog> logs)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`